Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	QUIMUP is a 'graphical' client for the music player daemon (MPD)
Name:		Quimup
Version:	0.3.1
Release:	1
License:	GNU/GPL 
URL:		http://www.coonsden.com/
Group:		Sound
Source0:	%{name}%{version}src.tar.gz
Source1:	Quimup.desktop
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libmpd-devel libX11-devel qt-devel xorg-x11-proto-devel

%description
QUIMUP is a 'graphical' client for the music player daemon (MPD) written
in C++ and QT3. The program can be used with most Linux desktops (KDE,
GNOME, XFCE) and is covered by the General Public License: it is free and
'open source'.

The clean interface makes controlling MPD's many features easy and intuitive.
The focus is on mouse handling: playlist management is done entirely by
drag-&-drop; playback functions are directly accessible from the system tray.
Quimup turns MPD into a perfect desktop music player.

%prep
%setup -q -n %{name}%{version}src/%{name}%{version}src/%{name}%{version}

%build
./configure --prefix=%_prefix --disable-debug
make

%install
rm -rf %{buildroot}
make prefix=%{buildroot}%_prefix install
mkdir -p %{buildroot}%_datadir/{pixmaps,applications}
install -m 644 images/nopic.png %{buildroot}%_datadir/pixmaps/Quimup.png
install -m 644 %{SOURCE1} %{buildroot}%_datadir/applications/Quimup.desktop

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/quimup
%_datadir/applications/Quimup.desktop
%_datadir/pixmaps/Quimup.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3.1-1
- Initial Release
